<?php 

class modControlObjectView {
  private $scope;
    
  public function __construct(modControlObject $controlObjects) {
    if (isset($controlObjects)) {

    	
      $controlsControls = new EntryInit('controlobject');
      $entryInit = $controlsControls->get("entryInit");
      foreach ($entryInit as $control) {
// print_r ($control);
// print_r ("<br>");        
        eval ($control);
      }
    }
    
    $menu = new MainMenu('controlobject');
    $this->beforeMenu = $menu->before();
    $this->afterMenu  = $menu->after();
  }  

  public function output() {
    $layout = "

$this->beforeMenu

<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
      <table class='table table-bordered'>
        <tr>
          <td>
            $this->co_idKeyLayout
            $this->inpControlLayout
          </td>
          <td>
            $this->inpOperationLayout
          </td>
        </tr>
        <tr>
          <td>
            $this->inpNoteLayout
          </td>
          <td>
            $this->putControlLayout
          </td>
        </tr>
      </table>
    </div> 
 </div>
</div> 
 
<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
      <div class='slide-panel'>		  
        <table class='table table-bordered'>
          $this->cv_idKeyLayout
          <tr>
            <td>
              $this->inpVariableLayout
            </td>
            <td>
              $this->inpSettingLayout
            </td>
          </tr>  
          <tr>
            <td colspan='2'>
               $this->putVariableLayout
            </td>
          </tr>     
        </table>
      </div>
    </div>  
  </div>
</div>  
  
<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
      $this->togVariablesLayout
      <div class='slide-panel'>	
        $this->sumVariablesLayout
      </div>  
      $this->sumControlsLayout
      $this->delControlLayout
	  </div>
  </div>
</div>	

$this->afterMenu

<script>

$(document).ready(function(){
  $('#flip').click(function(){
    $('#subd-panel').toggle('slow');
    $('#summ-panel').toggle('slow');
  });
});
  
$this->sumControlsScript
$this->sumVariablesScript

</script>
  ";
 
  return $layout;
  }	

}

?>